> For the complete documentation index, see [llms.txt](https://docs.tylt.money/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tylt.money/tylt-cpg-crypto-gateway/api-reference/supporting-apis/get-supported-crypto-networks.md).

# Get Supported Crypto Networks

This endpoint allows you to retrieve a list of supported cryptocurrency networks.

**Endpoint**

<mark style="color:green;">**`GET`**</mark>`https://api.tylt.money/transactions/merchant/getSupportedCryptoNetworksList`

**Request Headers**

{% tabs %}
{% tab title="Headers" %}

<table data-full-width="true"><thead><tr><th width="133">Name</th><th width="79">Type</th><th width="167">Example</th><th>Description</th></tr></thead><tbody><tr><td>X-TLP-APIKEY</td><td>string</td><td>93ee3c5e133697251b5362bcf9cc8532476785t8768075616f58d88</td><td>Your Tylt API Key, used to identify your account in API requests.</td></tr><tr><td>X-TLP-SIGNATURE</td><td>string</td><td>d0afef3853dfc8489c8b9affa5825171fdd7y7685675e4966a05f66ed2b3eaf9462b3c9c0</td><td>HMAC SHA-256 signature generated using the API Secret Key to secure the request.</td></tr></tbody></table>
{% endtab %}
{% endtabs %}

{% hint style="info" %}
When using the API, ensure to include your API Key and generate the signature for the request payload using your API Secret. The tables provided above contain example values for illustration purposes only. Please refer to the code snippets for detailed instructions on how to sign the request and generate the signature properly.
{% endhint %}

**Code Snippet**

{% tabs %}
{% tab title="Node JS" %}

```javascript
const crypto = require('crypto');
const axios = require('axios');

// Replace with your API Key and Secret
const apiKey = 'your-api-key';
const apiSecret = 'your-api-secret';

// Function to generate the signature for GET requests
function generateSignature(params) {
    return crypto.createHmac('sha256', apiSecret).update(JSON.stringify(params)).digest('hex');
}

// Parameters (if any)
const params = {};

// Create signature
const signature = generateSignature(params);

// Set up headers
const headers = {
    "X-TLP-APIKEY": apiKey,
    "X-TLP-SIGNATURE": signature
};

// Send GET request using Axios
axios.get("https://api.tylt.money/transactions/merchant/getSupportedCryptoNetworksList", { headers: headers })
    .then(response => {
        console.log("Response:", response.data);
    })
    .catch(error => {
        console.error("Error:", error.response ? error.response.data : error.message);
    });

```

{% endtab %}

{% tab title="Python" %}

```python
import requests
import json
import hmac
import hashlib

# Replace with your API Key and Secret
api_key = 'your-api-key'
api_secret = 'your-api-secret'

# Function to generate the signature for GET requests
def generate_signature(params):
    payload = json.dumps(params, separators=(',', ':'))
    return hmac.new(api_secret.encode(), payload.encode(), hashlib.sha256).hexdigest()

# Parameters (if any)
params = {}

# Create signature
signature = generate_signature(params)

# Define headers
headers = {
    "X-TLP-APIKEY": api_key,
    "X-TLP-SIGNATURE": signature
}

# Send GET request
response = requests.get("https://api.tylt.money/transactions/merchant/getSupportedCryptoNetworksList", headers=headers)

# Print the response
if response.status_code == 200:
    print("Response:", response.json())
else:
    print(f"Failed with status code {response.status_code}: {response.text}")

```

{% endtab %}

{% tab title="JavaScript" %}

```javascript
const crypto = require('crypto');
const fetch = require('node-fetch');

// Replace with your API Key and Secret
const apiKey = 'your-api-key';
const apiSecret = 'your-api-secret';

// Function to generate the signature for GET requests
function generateSignature(params) {
    return crypto.createHmac('sha256', apiSecret).update(JSON.stringify(params)).digest('hex');
}

// Parameters (if any)
const params = {};

// Create signature
const signature = generateSignature(params);

// Set up headers
const headers = {
    "X-TLP-APIKEY": apiKey,
    "X-TLP-SIGNATURE": signature
};

// Send GET request
fetch(`https://api.tylt.money/transactions/merchant/getSupportedCryptoNetworksList`, { method: 'GET', headers: headers })
    .then(response => response.json())
    .then(data => console.log(data))
    .catch(error => console.error(error));

```

{% endtab %}
{% endtabs %}

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
    "msg": "",
    "data": [
        {
            "networkName": "Binance Smart Chain",
            "networkSymbol": "BSC"
        },
        {
            "networkName": "Ethereum",
            "networkSymbol": "ETH"
        }
    ]
}
```

{% endtab %}

{% tab title="400" %}

<table data-header-hidden><thead><tr><th></th><th width="105"></th><th></th></tr></thead><tbody><tr><td><strong>Field Name</strong></td><td><strong>Type</strong></td><td><strong>Description</strong></td></tr><tr><td><code>networkName</code></td><td>string</td><td>The name of the network (e.g., Binance Smart Chain, Ethereum).</td></tr><tr><td><code>networkSymbol</code></td><td>string</td><td>The symbol representing the network (e.g., BSC, ETH). <mark style="color:purple;">Used as an input in other API's</mark></td></tr></tbody></table>
{% endtab %}
{% endtabs %}
